import { Vector } from "matter-js";
import { vectorEquals } from "../../base/math_utils";
import { findCurvePoints } from "../../base/command_utils";
import { Bezier } from "./../../bezierjs/bezier.js";
var CurveCurveIntersector = /** @class */ (function () {
    function CurveCurveIntersector() {
    }
    CurveCurveIntersector.prototype.intersects = function (curve1, curve2) {
        var curve1Start = Vector.create(curve1.x0, curve1.y0);
        var curve1End = Vector.create(curve1.x, curve1.y);
        var curve2Start = Vector.create(curve2.x0, curve2.y0);
        var curve2End = Vector.create(curve2.x, curve2.y);
        if (vectorEquals(curve1Start, curve2Start) ||
            vectorEquals(curve1Start, curve2End) ||
            vectorEquals(curve1End, curve2Start) ||
            vectorEquals(curve1End, curve2End)) {
            return true;
        }
        var bezier1 = new Bezier(findCurvePoints(curve1));
        var bezier2 = new Bezier(findCurvePoints(curve2));
        var result = bezier1.curveintersects([bezier1], [bezier2]);
        return result.length !== 0;
    };
    CurveCurveIntersector.prototype.supportedCommandTypes = function () {
        return [["C", "S", "Q"], ["C", "S", "Q"]];
    };
    return CurveCurveIntersector;
}());
export { CurveCurveIntersector };
//# sourceMappingURL=curve_curve_intersector.js.map