import { Bezier } from "./../../bezierjs/bezier.js";
import { Vector } from "matter-js";
import { vectorEquals } from "../../base/math_utils";
import { findCurvePoints } from "../../base/command_utils";
var LineCurveIntersector = /** @class */ (function () {
    function LineCurveIntersector() {
    }
    LineCurveIntersector.prototype.intersects = function (curve, line) {
        var curveStart = Vector.create(curve.x0, curve.y0);
        var curveEnd = Vector.create(curve.x, curve.y);
        var lineStart = Vector.create(line.x0, line.y0);
        var lineEnd = Vector.create(line.x, line.y);
        if (vectorEquals(curveStart, lineStart) ||
            vectorEquals(curveStart, lineEnd) ||
            vectorEquals(curveEnd, lineStart) ||
            vectorEquals(curveEnd, lineEnd)) {
            return true;
        }
        var bezier = new Bezier(findCurvePoints(curve));
        return bezier.intersects({ p1: lineStart, p2: lineEnd }).length !== 0;
    };
    LineCurveIntersector.prototype.supportedCommandTypes = function () {
        return [["C", "S", "Q"], ["L", "Z"]];
    };
    return LineCurveIntersector;
}());
export { LineCurveIntersector };
//# sourceMappingURL=line_curve_intersector.js.map