import { CollisionAggregator } from "../agregator/collision_aggregator";
import { PathAggregator } from "../agregator/path_aggregator";
import { SimulationBuilder } from "./simulation_builder";
var AggregatorBuilder = /** @class */ (function () {
    function AggregatorBuilder(svg) {
        this._svg = svg;
    }
    AggregatorBuilder.prototype.useCollisionAggregator = function () {
        return new SimulationBuilder(new CollisionAggregator(), this._svg);
    };
    AggregatorBuilder.prototype.usePathAggregator = function () {
        return new SimulationBuilder(new PathAggregator(), this._svg);
    };
    AggregatorBuilder.prototype.useCustomAggregator = function (aggregator) {
        return new SimulationBuilder(aggregator, this._svg);
    };
    return AggregatorBuilder;
}());
export { AggregatorBuilder };
//# sourceMappingURL=aggregator_builder.js.map