import { findLengthOfLineCommand } from "./command_utils";
// expand shorten line commands to full line commands
export var expandCommands = function (commands) {
    return commands
        .filter(function (command) {
        switch (command.code) {
            case 'Z':
                {
                    // filter Z commands that don't have length
                    if (findLengthOfLineCommand(command) === 0) {
                        return false;
                    }
                }
            default: return true;
        }
    })
        .map(function (command) {
        switch (command.code) {
            case 'H':
                {
                    return new Line(command.x, command.y, command.x0, command.y0);
                }
            case 'V':
                {
                    return new Line(command.x, command.y, command.x0, command.y0);
                }
            case "A":
                {
                    throw new Error("A not supported yet");
                }
            default:
                {
                    return command;
                }
        }
    });
};
var Line = /** @class */ (function () {
    function Line(x, y, x0, y0) {
        this.code = 'L';
        this.relative = false;
        this.command = "lineto";
        this.x = x;
        this.y = y;
        this.x0 = x0;
        this.y0 = y0;
    }
    return Line;
}());
export { Line };
//# sourceMappingURL=command_mapper.js.map