import { Vector } from "matter-js";
export var findDistance = function (x, y, x1, y1) {
    return Math.sqrt(Math.pow(x - x1, 2) + Math.pow(y - y1, 2));
};
export var findDistanceVec = function (p1, p2) {
    return findDistance(p1.x, p1.y, p2.x, p2.y);
};
export var findCenterOfLine = function (p1, p2) {
    return Vector.create((p1.x + p2.x) / 2, (p1.y + p2.y) / 2);
};
export var length = function (p) {
    return Math.sqrt(Math.pow(p.x, 2) + Math.pow(p.y, 2));
};
export var multiplyVec = function (p1, p2) {
    return Vector.create(p1.x * p2.x, p1.y * p2.y);
};
export var vectorEquals = function (p1, p2) {
    return p1.x === p2.x && p1.y === p2.y;
};
export var findAngle = function (x, y, x1, y1) {
    var Vx = x - x1;
    var Vy = y - y1;
    var radians;
    if (Vx || Vy) {
        radians = Math.atan2(Vy, Vx) - Math.PI;
    }
    else {
        radians = 0;
    }
    if (radians < 0) {
        radians += 2 * Math.PI;
    }
    return radians;
};
export var rotatePointAroundCenterPoint = function (cx, cy, x, y, angle) {
    var cos = Math.cos(angle);
    var sin = Math.sin(angle);
    var nx = (cos * (x - cx)) + (sin * (y - cy)) + cx;
    var ny = (cos * (y - cy)) - (sin * (x - cx)) + cy;
    return { x: nx, y: ny };
};
//# sourceMappingURL=math_utils.js.map