import { LineBody } from "./line_body";
import { PointBody } from "./point_body";
import { CurveBody } from "./curve_body";
import { ReflectionCurveBody } from "./reflection_curve_body";
import { QuadraticCurveBody } from "./quadratic_curve_body";
import { ClosePathBody } from "./close_path_body";
export var physBodyFactory = function (command, colliderSize) {
    switch (command.code) {
        case "L":
            {
                return new LineBody(command, colliderSize);
            }
        case "M":
            {
                return new PointBody(command);
            }
        case "C":
            {
                return new CurveBody(command, colliderSize);
            }
        case "Q":
            {
                return new QuadraticCurveBody(command, colliderSize);
            }
        case "S":
            {
                return new ReflectionCurveBody(command, colliderSize);
            }
        case "T":
            {
                throw new Error("T not supported yet!");
            }
        case "Z":
            {
                return new ClosePathBody(command);
            }
    }
};
//# sourceMappingURL=body_factory.js.map