import { Bodies, Vector } from "matter-js";
import { findAngleOfLineCommand, findCenterOfLineCommand, findLengthOfLineCommand } from "../../base/command_utils";
import { vectorEquals } from "../../base/math_utils";
var ClosePathBody = /** @class */ (function () {
    function ClosePathBody(closeCmd) {
        this._closeCmd = closeCmd;
        // TODO: parametrize
        var height = 5;
        var p1 = Vector.create(closeCmd.x, closeCmd.y);
        var p2 = Vector.create(closeCmd.x0, closeCmd.y0);
        if (!vectorEquals(p1, p2)) {
            var lineMidPoint = findCenterOfLineCommand(closeCmd);
            var lineLength = findLengthOfLineCommand(closeCmd);
            var lineAngle = findAngleOfLineCommand(closeCmd);
            var body = Bodies.rectangle(lineMidPoint.x, lineMidPoint.y, lineLength, height, {
                angle: lineAngle
            });
            this._bodies = [body];
        }
        else {
            this._bodies = [];
        }
    }
    Object.defineProperty(ClosePathBody.prototype, "bodies", {
        get: function () {
            return this._bodies;
        },
        enumerable: false,
        configurable: true
    });
    ClosePathBody.prototype.updateSvgCommand = function () {
        // For Z command don't update anything
    };
    return ClosePathBody;
}());
export { ClosePathBody };
//# sourceMappingURL=close_path_body.js.map