var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Bodies, Body } from "matter-js";
import { AbstractCurveBody } from "./abstract_curve_body";
var CurveBody = /** @class */ (function (_super) {
    __extends(CurveBody, _super);
    function CurveBody(curve, colliderSize) {
        var _this = _super.call(this) || this;
        _this._curve = curve;
        _this._bodies = _this.createInnerBodies(colliderSize, curve);
        _this._point1 = Bodies.circle(curve.x, curve.y, 1, { isSensor: true, render: { fillStyle: "lightblue" } });
        Body.setDensity(_this._point1, 0);
        _this._bodies.push(_this._point1);
        _this._point2 = Bodies.circle(curve.x1, curve.y1, 1, { isSensor: true, render: { fillStyle: "lightblue" } });
        Body.setDensity(_this._point2, 0);
        _this._bodies.push(_this._point2);
        _this._point3 = Bodies.circle(curve.x2, curve.y2, 1, { isSensor: true, render: { fillStyle: "lightblue" } });
        Body.setDensity(_this._point3, 0);
        _this._bodies.push(_this._point3);
        return _this;
    }
    Object.defineProperty(CurveBody.prototype, "bodies", {
        get: function () {
            return this._bodies;
        },
        enumerable: false,
        configurable: true
    });
    CurveBody.prototype.updateSvgCommand = function () {
        this._curve.x = this._point1.position.x;
        this._curve.y = this._point1.position.y;
        this._curve.x1 = this._point2.position.x;
        this._curve.y1 = this._point2.position.y;
        this._curve.x2 = this._point3.position.x;
        this._curve.y2 = this._point3.position.y;
    };
    return CurveBody;
}(AbstractCurveBody));
export { CurveBody };
//# sourceMappingURL=curve_body.js.map