import { Bodies, Body, Vector } from "matter-js";
import { findAngleOfLineCommand, findCenterOfLineCommand, findLengthOfLineCommand } from "../../base/command_utils";
var LineBody = /** @class */ (function () {
    function LineBody(lineCmd, colliderSize) {
        this._lineCmd = lineCmd;
        var lineMidPoint = findCenterOfLineCommand(lineCmd);
        var lineLength = findLengthOfLineCommand(lineCmd);
        var lineAngle = findAngleOfLineCommand(lineCmd);
        var p1 = Vector.create(lineCmd.x, lineCmd.y);
        var p2 = Vector.create(lineCmd.x0, lineCmd.y0);
        this._point = Bodies.circle(lineCmd.x, lineCmd.y, 1, { isSensor: true });
        Body.setDensity(this._point, 0);
        this._body = Bodies.rectangle(lineMidPoint.x, lineMidPoint.y, lineLength, colliderSize, {
            angle: lineAngle
        });
        this._bodies = [this._point, this._body];
    }
    Object.defineProperty(LineBody.prototype, "bodies", {
        get: function () {
            return this._bodies;
        },
        enumerable: false,
        configurable: true
    });
    LineBody.prototype.updateSvgCommand = function () {
        this._lineCmd.x = this._point.position.x;
        this._lineCmd.y = this._point.position.y;
    };
    return LineBody;
}());
export { LineBody };
//# sourceMappingURL=line_body.js.map