import { Body, Events } from "matter-js";
var LimitAngularVelocityPlugin = /** @class */ (function () {
    function LimitAngularVelocityPlugin(maxSpeed) {
        this._maxSpeed = maxSpeed;
    }
    LimitAngularVelocityPlugin.prototype.setup = function (svgData, engine, rootBodies) {
        var _this = this;
        var limitMaxSpeed = function () {
            rootBodies.forEach(function (body) {
                if (body.angularVelocity > _this._maxSpeed) {
                    Body.setAngularVelocity(body, _this._maxSpeed);
                }
                if (body.angularVelocity < -_this._maxSpeed) {
                    Body.setAngularVelocity(body, -_this._maxSpeed);
                }
            });
        };
        Events.on(engine, 'beforeUpdate', limitMaxSpeed);
    };
    LimitAngularVelocityPlugin.prototype.stop = function () {
        // do nothing
    };
    return LimitAngularVelocityPlugin;
}());
export { LimitAngularVelocityPlugin };
//# sourceMappingURL=limit_angular_velocity_plugin.js.map