import { Body, Events } from "matter-js";
var LimitVelocityPlugin = /** @class */ (function () {
    function LimitVelocityPlugin(maxSpeed) {
        this._maxSpeed = maxSpeed;
    }
    LimitVelocityPlugin.prototype.setup = function (svgData, engine, rootBodies) {
        var _this = this;
        var limitMaxSpeed = function () {
            rootBodies.forEach(function (body) {
                if (body.velocity.x > _this._maxSpeed) {
                    Body.setVelocity(body, { x: _this._maxSpeed, y: body.velocity.y });
                }
                if (body.velocity.x < -_this._maxSpeed) {
                    Body.setVelocity(body, { x: -_this._maxSpeed, y: body.velocity.y });
                }
                if (body.velocity.y > _this._maxSpeed) {
                    Body.setVelocity(body, { x: body.velocity.x, y: _this._maxSpeed });
                }
                if (body.velocity.y < -_this._maxSpeed) {
                    Body.setVelocity(body, { x: -body.velocity.x, y: -_this._maxSpeed });
                }
            });
        };
        Events.on(engine, 'beforeUpdate', limitMaxSpeed);
    };
    LimitVelocityPlugin.prototype.stop = function () {
        // do nothing
    };
    return LimitVelocityPlugin;
}());
export { LimitVelocityPlugin };
//# sourceMappingURL=limit_velocity_plugin.js.map