import { Render } from "matter-js";
var RendererPlugin = /** @class */ (function () {
    function RendererPlugin(elementToAddCanvas) {
        this._elementToAddCanvas = elementToAddCanvas;
    }
    RendererPlugin.prototype.setup = function (svgData, physEngine, rootBodies) {
        var renderElement = document.body;
        if (svgData.svg.parentElement != null) {
            renderElement = svgData.svg.parentElement;
        }
        if (this._elementToAddCanvas !== undefined) {
            renderElement = this._elementToAddCanvas;
        }
        // create renderer
        this._renderer = Render.create({
            element: renderElement,
            engine: physEngine,
            options: {
                wireframes: true,
                width: svgData.width,
                height: svgData.height,
                // showPositions: true,
                showAngleIndicator: false,
            },
        });
        Render.run(this._renderer);
    };
    RendererPlugin.prototype.stop = function () {
        if (this._renderer !== undefined) {
            Render.stop(this._renderer);
            this._renderer.canvas.remove();
        }
    };
    return RendererPlugin;
}());
export { RendererPlugin };
//# sourceMappingURL=renderer_plugin.js.map