import { serializeCommand } from "./renderer";
var DebugRenderer = /** @class */ (function () {
    function DebugRenderer() {
        this._stopped = false;
    }
    DebugRenderer.prototype.renderLoop = function (svgData, physics) {
        var svgClone = svgData.svg.cloneNode(true);
        svgClone.id = svgClone.id + "1";
        svgData.svg.parentElement.append(svgClone);
        var svgPaths = Array.prototype.slice.call(svgData.svg.getElementsByTagName('path'));
        this.updateFrame(svgData, physics, svgPaths);
    };
    DebugRenderer.prototype.updateFrame = function (svgData, physics, svgPaths) {
        var _this = this;
        physics.update(svgData.aggregatedCommands);
        svgData.pathCommands.forEach(function (commands, index) {
            var pathString = commands.map(serializeCommand).join(" ");
            svgPaths[index].setAttribute("d", pathString);
        });
        if (!this._stopped) {
            window.requestAnimationFrame(function (t) { return _this.updateFrame(svgData, physics, svgPaths); });
        }
    };
    DebugRenderer.prototype.stop = function () {
        this._stopped = true;
    };
    return DebugRenderer;
}());
export { DebugRenderer };
//# sourceMappingURL=debug_renderer.js.map