import { serializeCommand } from "./renderer";
var ProductionRenderer = /** @class */ (function () {
    function ProductionRenderer() {
        this._stopped = false;
    }
    ProductionRenderer.prototype.renderLoop = function (svgData, physics) {
        var svgPaths = Array.prototype.slice.call(svgData.svg.getElementsByTagName('path'));
        this.updateFrame(svgData, physics, svgPaths);
    };
    ProductionRenderer.prototype.updateFrame = function (svgData, physics, svgPaths) {
        var _this = this;
        physics.update(svgData.aggregatedCommands);
        svgData.pathCommands.forEach(function (commands, index) {
            var pathString = commands.map(serializeCommand).join(" ");
            svgPaths[index].setAttribute("d", pathString);
        });
        if (!this._stopped) {
            window.requestAnimationFrame(function (t) { return _this.updateFrame(svgData, physics, svgPaths); });
        }
    };
    ProductionRenderer.prototype.stop = function () {
        this._stopped = true;
    };
    return ProductionRenderer;
}());
export { ProductionRenderer };
//# sourceMappingURL=production_renderer.js.map